Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface Property

All Superinterfaces:
  EventSource, NamedObject, Serializable

    public interface Property

extends NamedObject, Serializable

Represents a property defined for a parent task plan. Properties have a name, data type, description, and default value. At runtime, properties have a single value of a Java type that is dictated by the data type for the property. For example, properties with the 'String' data type have runtime values that are Java String objects.

Nested Class Summary
`static interface` | `Property.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`PropertyInstance` | `createPropertyInstance()` Create a PropertyInstance from this Property.
`PropertyInstance` | `createPropertyInstance(Object value)` Create a PropertyInstance from this Property and set the given Object as its value.
`String` | `getDataTypeId()` The type (or rather the type id) for the type of data this property will hold.
`String` | `getDataTypeVariantInfo()` Gets type-specific information for a property of a type that supports variants (for example XmlBean and JavaBean).
`String` | `getDefaultValue()` Default value if no user value is given for this property.
`SystemProperty` | `getSystemProperty()` Get the SystemProperty value for a system property.
`TaskPlan` | `getTaskPlan()` Get the parent TaskPlan for this property.
`boolean` | `isSystem()` Is this a system property? If this returns true, call getSystem to determine which system property this represents.
`void` | `setDataTypeId(String dataTypeId)`
`void` | `setDataTypeVariantInfo(String variantInfo)`
`void` | `setDefaultValue(String defaultValue)`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.NamedObject
`getDescription, getName, setDescription`

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### getTaskPlan

    TaskPlan getTaskPlan()

  Get the parent TaskPlan for this property. This can be null if this property represents a 'built in' property for all Worklist tasks.

### isSystem

    boolean isSystem()

  Is this a system property? If this returns true, call getSystem to determine which system property this represents.

### getSystemProperty

    SystemProperty getSystemProperty()

  Get the SystemProperty value for a system property. If this property returns false from isSystem() this method returns null.

### getDataTypeId

    String getDataTypeId()

  The type (or rather the type id) for the type of data this property will hold. The id must correspond to a registered data type in the virtual machine that uses this property. Standard type ids are String, Text, Integer, Boolean, Float, Date, Time, DateTime, BusinessTime, Url, Currency, XmlBean JavaBean

### setDataTypeId

    void setDataTypeId(String dataTypeId)

### getDataTypeVariantInfo

    String getDataTypeVariantInfo()

  Gets type-specific information for a property of a type that supports variants (for example XmlBean and JavaBean). The variant information is type dependent and not generally for consumption by end users except when deserialized via a DataTypeVariantInfoSerializer for the type.

  See Also:
    `DataTypeVariantInfoSerializer`

### setDataTypeVariantInfo

    void setDataTypeVariantInfo(String variantInfo)

### getDefaultValue

    String getDefaultValue()

  Default value if no user value is given for this property. Note that the default value is always a string, so only those data types that can be represented as a string can have default values.

### setDefaultValue

    void setDefaultValue(String defaultValue)

### createPropertyInstance

    PropertyInstance createPropertyInstance()
                                            throws DataTypeException

  Create a PropertyInstance from this Property. The returned PropertyInstance will have no value set.

  Throws:
    `DataTypeException`

### createPropertyInstance

    PropertyInstance createPropertyInstance(Object value)
                                            throws DataTypeException

  Create a PropertyInstance from this Property and set the given Object as its value.

  Throws:
    `DataTypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD